        -- Cut/Paste word-Generator with ROBOT head.
	--  Add your own phrases!

-- How it Works:
-- BRAIN has lists of parts of sentences that it matches up at random.
--  It will always make a grammatically correct sentence.

constant leadins = {
"To characterize a linguistic level L,",
"On the other hand,",
"This suggests that",
"It appears that",
"Furthermore,",
"We will bring evidence in favor of the following thesis:",
"To provide a constituent structure for T(Z,K),",
"From C1, it follows that",
"For any transformation which is sufficiently diversified in application to be of any interest,",
"Analogously,",
"Clearly,",
"Note that",
"Of course,",
"Suppose, for instance, that",
"Thus",
"With this clarification,",
"Conversely,",
"We have already seen that",
"By combining adjunctions and certain deformations,",
"I suggested that these results would follow from the assumption that",
"If the position of the trace in (99c) were only relatively inaccessible to movement,",
"However, this assumption is not correct, since",
"Comparing these examples with their parasitic gap counterparts in (96) and (97), we see that",
"In the discussion of resumptive pronouns following (81),",
"So far,",
"Nevertheless,",
"For one thing,",
"Summarizing, then, we assume that",
"A consequence of the approach just outlined is that",
"Presumably,",
"On our assumptions,",
"It may be, then, that",
"It must be emphasized, once again, that",
"Let us continue to suppose that",
"Notice, incidentally, that"
}

constant subjects = {
"the notion of level of grammaticalness",
"a case of semi -grammaticalness of a different sort",
"most of the methodological work in modern linguistics",
"a subset of English sentences interesting on quite independent grounds",
"the natural general principle that will subsume this case",
"an important property of these three types of EC",
"any associated supporting element",
"the appearance of parasitic gaps in domains relatively inaccessible to ordinary extraction",
"the speaker-hearer's linguistic intuition",
"the descriptive power of the base component",
"the earlier discussion of deviance",
"this analysis of a formative as a pair of sets of features",
"this selectionally introduced contextual feature",
"a descriptively adequate grammar",
"the fundamental error of regarding functional notions as categorial",
"relational information",
"the systematic use of complex symbols",
"the theory of syntactic features developed earlier"
}

constant verbs = {
"can be defined in such a way as to impose",
"delimits",
"suffices to account for",
"cannot be arbitrary in",
"is not subject to",
"does not readily tolerate",
"raises serious doubts about",
"is not quite equivalent to",
"does not affect the structure of",
"may remedy and, at the same time, eliminate",
"is not to be considered in determining",
"is to be regarded as",
"is unspecified with respect to",
"is, apparently, determined by",
"is necessary to impose an interpretation on",
"appears to correlate rather closely with",
"is rather different from"
}

constant endings = {
"problems of phonemic and morphological analysis.",
"a corpus of utterance tokens upon which conformity has been defined by the paired utterance test.",
"the traditional practice of grammarians.",
"the levels of acceptability from fairly high (eg (99a)) to virtual gibberish (eg (98d)).",
"a stipulation to place the constructions into these various categories.",
"a descriptive fact.",
"a parasitic gap construction.",
"the extended c-command discussed in connection with (34).",
"the ultimate standard that determines the accuracy of any proposed grammar.",
"the system of base rules exclusive of the lexicon.",
"irrelevant intervening contexts in selectional rules.",
"nondistinctness in the sense of distinctive feature theory.",
"a general convention regarding the forms of the grammar.",
"an abstract underlying order.",
"an important distinction in language use.",
"the requirement that branching is not tolerated within the dominance scope of a complex symbol.",
"the strong generative capacity of the theory."
}



function buzz(integer n)
-- Generate a paragraph containing n sentences of pure nonsense.
    sequence paragraph

    paragraph = "  "
    for i = 1 to n do
	paragraph &= leadins [rand(length(leadins))]  & " " &
		     subjects[rand(length(subjects))] & " " &
		     verbs   [rand(length(verbs))]    & " " &
		     endings[rand(length(endings))] & "  "
    end for
    return paragraph
end function

procedure display(sequence paragraph)
-- Neatly display a paragraph.
    integer column
    sequence line
    
    column = 1
    line = ""
    for i = 1 to length(paragraph) do
	line &= paragraph[i]  -- faster to print a whole line at a time.
	column += 1
	if column > 65 and (paragraph[i] = ' ' or paragraph[i] = '-') then
	    puts(1, line & '\n')
	    column = 1
	    line = ""
	end if
    end for
    puts(1, line & '\n')
end procedure

 -- PROGRAM STARTS EXECUTING HERE. Get the picture of the Robot-head.

include get.e
sequence screen_pic
integer file_id, stay
clear_screen()

file_id = open("pic1.dat","r")
screen_pic = gets(file_id)
stay='^'
 
 -- Print the Robot Head, wait for keyboard input (q = quit),
 --  else print AI paragraph of words, then back to picture of Robot.

 while stay !='q' do
  poke(#B8000, screen_pic)
  stay = wait_key()
  clear_screen()
  puts(1, "\nLook at my words, ye Mighty, and Dispair!  (q= quit)\n\n")
  display(buzz(7))
  stay = wait_key()
 end while

 -- If user types q to quit, exit loop and print Info about Author.

close(file_id)
clear_screen()
position(5,1)
system("big That's all",2)
system("big  for now.",2)
stay = wait_key()

clear_screen()
system("big E-mail",2)
system("BIG xgeorge @",2)
system("BIG  juno.com",2)
position(2,54)
puts(1,"IF YOU WANT TO TALK ABOUT")
position(4,55)
puts(1,"ARTIFICIAL INTELLIGENCE.")
stay = wait_key()
poke(#B8000, screen_pic) -- End the program with picture of Robot Head.
position(24,1)

